Subject: bug#29347: 27.0.50; C-g doesn't quit minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Nov 2017 19:51:30 +0200

> From: Andreas Schwab <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 19 Nov 2017 18:21:16 +0100
> 
> > I meant enable-recursive-minibuffers, which AFAIK doesn't have any
> > indications.
> 
> A recursive minibuffer can be exited like an ordinary minibuffer, and
> exiting it will return to the buffer from where you entered it.

And that buffer to which you return is also a minibuffer.  IOW, if you
are N levels deep in a recursive minibuffer, you cannot exit it until
you type C-g N times.  This could be perceived as "C-g doesn't quit
the minibuffer".

I'm not saying this is what happened, I'm just trying to think about
every possible situation which could have been interpreted that way.